#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <rpc/rpc.h>

#include "inet.h"
#include "segment.h"
#include "clipper.h"

/* Coordinates of subset of data to be output */
int x0, x1, y0, y1;

#define MSGBUFLEN  160
#define TEMPBUF_LEN 80
#define ERRMSG(str) { memset(str, '\0', MSGBUFLEN); \
			strcpy(str, "ERROR"); return(&str); }

/* /////////////////////////////////////////////////////////////////// */

SizeRet* 
getdatasize_1(ptr)
SizeArgs *ptr;

{

  int   InputFile;
  char  filename[256];
  int   North,  South,  East,  West;
  int   NorthEdge,  SouthEdge,  EastEdge,  WestEdge;
  int   M, N;
  int   GridSpacing, bufsize;
  static int    datasize = 0;
  static SizeRet size_ret;

  /* this is a test stub */
  size_ret.start_row = 1;
  size_ret.start_column = 2;
  size_ret.rows = 3;
  size_ret.columns = 4;
  size_ret.status = 1; 

  return (&size_ret);

}




/* -----------------------------------------------------------------------
Name: void KillServers()
In: None
Out: 
Comments: This function kills servers started above. Taken from page 223
          of 'Power Programming with RPC' published by O'Rielly & 
	  Associates
---------------------------------------------------------------------- */
void *
killservers_1() 
{

  svc_unregister(MAPSEGMENT_PROG, MAPSEGMENT_VERS);

}


